
From: john stultz <johnstul@us.ibm.com>

Here is a patch against bk that was rewritten from some ideas Dominik
sent me.



 25-akpm/arch/i386/kernel/time.c                 |    4 ++++
 25-akpm/arch/i386/kernel/timers/timer_cyclone.c |    1 +
 25-akpm/arch/i386/kernel/timers/timer_hpet.c    |    1 +
 25-akpm/arch/i386/kernel/timers/timer_none.c    |    1 +
 25-akpm/arch/i386/kernel/timers/timer_pit.c     |    1 +
 25-akpm/arch/i386/kernel/timers/timer_tsc.c     |    1 +
 25-akpm/include/asm-i386/timer.h                |    1 +
 7 files changed, 10 insertions(+)

diff -puN arch/i386/kernel/time.c~verbose-timesource arch/i386/kernel/time.c
--- 25/arch/i386/kernel/time.c~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/arch/i386/kernel/time.c	Tue Oct 28 15:54:10 2003
@@ -342,6 +342,8 @@ void __init hpet_time_init(void)
 	}
 
 	cur_timer = select_timer();
+	printk(KERN_INFO "Using %s for high-res timesource\n",cur_timer->name);
+
 	time_init_hook();
 }
 #endif
@@ -364,5 +366,7 @@ void __init time_init(void)
 	wall_to_monotonic.tv_nsec = -xtime.tv_nsec;
 
 	cur_timer = select_timer();
+	printk(KERN_INFO "Using %s for high-res timesource\n",cur_timer->name);
+
 	time_init_hook();
 }
diff -puN arch/i386/kernel/timers/timer_cyclone.c~verbose-timesource arch/i386/kernel/timers/timer_cyclone.c
--- 25/arch/i386/kernel/timers/timer_cyclone.c~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/arch/i386/kernel/timers/timer_cyclone.c	Tue Oct 28 15:54:10 2003
@@ -253,6 +253,7 @@ static void delay_cyclone(unsigned long 
 
 /* cyclone timer_opts struct */
 struct timer_opts timer_cyclone = {
+	.name = "cyclone",
 	.init = init_cyclone, 
 	.mark_offset = mark_offset_cyclone, 
 	.get_offset = get_offset_cyclone,
diff -puN arch/i386/kernel/timers/timer_hpet.c~verbose-timesource arch/i386/kernel/timers/timer_hpet.c
--- 25/arch/i386/kernel/timers/timer_hpet.c~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/arch/i386/kernel/timers/timer_hpet.c	Tue Oct 28 15:54:10 2003
@@ -178,6 +178,7 @@ static int __init init_hpet(char* overri
 
 /* tsc timer_opts struct */
 struct timer_opts timer_hpet = {
+	.name = 		"hpet",
 	.init =			init_hpet,
 	.mark_offset =		mark_offset_hpet,
 	.get_offset =		get_offset_hpet,
diff -puN arch/i386/kernel/timers/timer_none.c~verbose-timesource arch/i386/kernel/timers/timer_none.c
--- 25/arch/i386/kernel/timers/timer_none.c~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/arch/i386/kernel/timers/timer_none.c	Tue Oct 28 15:54:10 2003
@@ -36,6 +36,7 @@ static void delay_none(unsigned long loo
 
 /* tsc timer_opts struct */
 struct timer_opts timer_none = {
+	.name = 	"none",
 	.init =		init_none, 
 	.mark_offset =	mark_offset_none, 
 	.get_offset =	get_offset_none,
diff -puN arch/i386/kernel/timers/timer_pit.c~verbose-timesource arch/i386/kernel/timers/timer_pit.c
--- 25/arch/i386/kernel/timers/timer_pit.c~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/arch/i386/kernel/timers/timer_pit.c	Tue Oct 28 15:54:10 2003
@@ -149,6 +149,7 @@ static unsigned long get_offset_pit(void
 
 /* tsc timer_opts struct */
 struct timer_opts timer_pit = {
+	.name = 	"pit",
 	.init =		init_pit, 
 	.mark_offset =	mark_offset_pit, 
 	.get_offset =	get_offset_pit,
diff -puN arch/i386/kernel/timers/timer_tsc.c~verbose-timesource arch/i386/kernel/timers/timer_tsc.c
--- 25/arch/i386/kernel/timers/timer_tsc.c~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/arch/i386/kernel/timers/timer_tsc.c	Tue Oct 28 15:54:10 2003
@@ -472,6 +472,7 @@ __setup("notsc", tsc_setup);
 
 /* tsc timer_opts struct */
 struct timer_opts timer_tsc = {
+	.name = 	"tsc",
 	.init =		init_tsc,
 	.mark_offset =	mark_offset_tsc, 
 	.get_offset =	get_offset_tsc,
diff -puN include/asm-i386/timer.h~verbose-timesource include/asm-i386/timer.h
--- 25/include/asm-i386/timer.h~verbose-timesource	Tue Oct 28 15:54:10 2003
+++ 25-akpm/include/asm-i386/timer.h	Tue Oct 28 15:54:10 2003
@@ -11,6 +11,7 @@
  *	last timer intruupt.
  */
 struct timer_opts{
+	char* name;
 	int (*init)(char *override);
 	void (*mark_offset)(void);
 	unsigned long (*get_offset)(void);

_
